<script type="text/javascript">
$(document).ready(function() {
    $(function() {
        $("#theList tr:even").addClass("stripe1");
        $("#theList tr:odd").addClass("stripe2");

        $("#theList tr").hover(
            function() {
                $(this).toggleClass("highlight");
            },
            function() {
                $(this).toggleClass("highlight");
            }
        );
    });	
});

	function pilih(ID){
		var noakun = ID;
		var tglawal = $("#txt_tglawal").val();
		var tglakhir = $("#txt_tglakhir").val();
						
		$.ajax({
			type	: "POST",
			url	    : "modul/akun_bp/cari.php",
			data	: "noakun="+noakun,
			dataType	: "json",
			success	: function(data){
				$("#t_noakun").val(noakun);
				$("#t_naakun").val(data.naakun);
				$("#t_kode").val(data.kode);
				$("#pencarian_bp").hide();
				$("#tampil_data_bp").hide();
				$("#info_bp").show();
				$("#tampil_detail_bp").show();
				$("#tampil_detail_bp").load("modul/akun_bp/tampil_detail_bp.php?noakun="+noakun+"&tglawal="+tglawal+"&tglakhir="+tglakhir);
			}
		});
	}
</script>

<?php
include '../../inc/inc.koneksi.php';

$tgl_aw= $_GET[tgl_awal];
$tgl_ak = $_GET[tgl_akhir];
$cari	= $_GET[cari];
$thn = (int) substr($tgl_ak, 0, 4);
$bln = (int) substr($tgl_ak, 5, 2);
$tgl = (int) substr($tgl_ak, 8, 2);
$kab = $thn;

while($kab>4){
	$kab = $kab-4;
}
$tgl=$tgl+1;

if($bln==1){
	if($tgl==32){
		$tgl=1;
		$bln=$bln+1;
	}
}else if($bln==2){
	if($kab>0){
		if($tgl==29){
			$tgl=1;
			$bln=$bln+1;
		}
	}else{
		if($tgl==30){
			$tgl=1;
			$bln=$bln+1;
		}
	}
}else if($bln==3){
	if($tgl==32){
		$tgl=1;
		$bln=$bln+1;
	}
}else if($bln==4){
	if($tgl==31){
		$tgl=1;
		$bln=$bln+1;
	}
}else if($bln==5){
	if($tgl==32){
		$tgl=1;
		$bln=$bln+1;
	}
}else if($bln==6){
	if($tgl==31){
		$tgl=1;
		$bln=$bln+1;
	}
}else if($bln==7){
	if($tgl==32){
		$tgl=1;
		$bln=$bln+1;
	}
}else if($bln==8){
	if($tgl==32){
		$tgl=1;
		$bln=$bln+1;
	}
}else if($bln==9){
	if($tgl==31){
		$tgl=1;
		$bln=$bln+1;
	}
}else if($bln==10){
	if($tgl==32){
		$tgl=1;
		$bln=$bln+1;
	}
}else if($bln==11){
	if($tgl==31){
		$tgl=1;
		$bln=$bln+1;
	}
}else{
	if($tgl==32){
		$tgl=1;
		$bln=1;
		$thn=$thn+1;
	}
}
$tgl=sprintf("%02s",$tgl);
$bln=sprintf("%02s",$bln);
$tglaw=$thn.'-'.$bln.'-'.$tgl;

$query1=mysql_query("SELECT max(tanggal) as tg_akhir FROM rekapjur ORDER BY tanggal");
$r1=mysql_fetch_array($query1);
$tglak=$r1[tg_akhir];

echo "<table id='theList' width='100%'>
		<tr>
			<th>No.</th>
			<th>Kode</th>
			<th>Nama Akun</th>
			<th>Debet</th>
			<th>Kredit</th>
			<th>View</th>
		</tr>";
		
		$query1= "SELECT a.noakun,a.naakun,b.nobb FROM akun_bb as a JOIN akun_bp as b ON b.nobb=a.noakun GROUP BY b.nobb";
		$data1	= mysql_query($query1);
		$jml=1;
		$tdebet=0;
		$tkredit=0;
		while($r1=mysql_fetch_array($data1)){
			$nobb=$r1[nobb];

			echo "<tr>
				<td></td>
				<td><b>$r1[nobb]</b></td>			
				<td><b>$r1[naakunl]</b></td>
			</tr>";
			
			if (!empty($cari)){
				$sql	= "SELECT * FROM akun_bp WHERE (naakun LIKE '%$cari%' or noakun LIKE '%$cari%') AND nobb='$nobb' ORDER BY noakun";
			}else{
				$sql	= "SELECT * FROM akun_bp WHERE nobb='$nobb' ORDER BY noakun";
			}
			$query = mysql_query($sql);
		
			$no=1;
			$sdebet=0;
			$skredit=0;
			while($r=mysql_fetch_array($query)){
				if($r[kode]=='D'){
					$debet=$r[saldo]+$r[mutasi_db]-$r[mutasi_kd];
					$kredit='';
				}else{
					$kredit=$r[saldo]+$r[mutasi_kd]-$r[mutasi_db];
					$debet='';
				}
				$norek=$r[noakun];
				$kode=$r[kode];
								
				$sql1= "SELECT tanggal,nobp,sum(debet) as jdebet,sum(kredit) as jkredit FROM rekapjur WHERE tanggal BETWEEN '$tglaw' AND '$tglak' AND nobp='$norek' AND batal='' GROUP BY nobp";
				$query1 = mysql_query($sql1);
				
				$rdebet=0;
				$rkredit=0;
				while($r1=mysql_fetch_array($query1)){
					$rdebet=$rdebet+$r1[jdebet];
					$rkredit=$rkredit+$r1[jkredit];
				}
				
				if($kode=='D'){
					$mutasi=$rdebet-$rkredit;
					$debet=$debet-$mutasi;
					$sdebet=$sdebet+$debet;
					$kredit='';
					
				}else{	
					$mutasi=$rkredit-$rdebet;
					$kredit=$kredit-$mutasi;
					$skredit=$skredit+$kredit;
					$debet='';
				}
				
				echo "<tr>
					<td>$no</td>
					<td>$r[noakun]</td>
					<td>$r[naakun]</td>					
					<td align='right'>".number_format($debet,0)."</td>
					<td align='right'>".number_format($kredit,0)."</td>
					<td align='center'>
						<a href='javascript:void(0)' onClick=\"pilih('$r[noakun]')\">
							<img src='images/view.png' border='0' id='lihat' title='Lihat Buku Besar' width='18' height='18'>
						</a>
					</td>
				</tr>";			
				$no++;				
			}
			echo "<tr>
				<td></td>
				<td></td>
				<td>Jumlah</td>
				<td align='right'>".number_format($sdebet,0)."</td>
				<td align='right'>".number_format($skredit,0)."</td>
				</tr>";
				$tdebet=$tdebet+$sdebet;
				$tkredit=$tkredit+$skredit;
		}
		echo "<tr>			
			<tr>
			<td></td>
				<td></td>
				<td>Total</td>
				<td align='right'>".number_format($tdebet,0)."</td>
				<td align='right'>".number_format($tkredit,0)."</td>
			</tr>";
				
	echo "</table>";
?>
